Bug 473651 - epiphany : Unowned directories
epiphany : Unowned directories
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 14:01 EST by Michael Schwendt
Modified: 2009-05-22 10:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-22 10:24:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes the devel subpackage %files listing to grab the top-level include directory, rather than glob everything below it. (532 bytes, patch)
2008-12-22 15:28 EST, Peter Gordon
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2008-11-29 14:01:01 EST
One or more directories are not included within this
package and/or its sub-packages:

=> epiphany-devel-2.24.1-3.fc11.i386 (rawhide-development-i386)
/usr/include/epiphany

[...]

Further information:

https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which
does create that directory.

https://fedoraproject.org/wiki/Packaging/Guidelines#FileAndDirectoryOwnership
https://fedoraproject.org/wiki/Packaging/UnownedDirectories
Comment 1 Peter Gordon 2008-12-22 15:28:03 EST
Created attachment 327688 [details]
Fixes the devel subpackage %files listing to grab the top-level include directory, rather than glob everything below it.

Seems that the line in the %files for the devel subpackage should not be a glob, just the top-level directory; that should fix it.
Comment 2 Michael Schwendt 2009-05-22 10:24:19 EDT
Yes, that's the correct trivial fix.

I've committed it a minute ago in devel (F-12) to get rid of old open tickets, which have not been responded to in several months.

Note You need to log in before you can comment on or make changes to this bug.